<app-usernavbar (onchangeLang)="changeLang($event)"></app-usernavbar>
<div class="wave"></div>



<div class="container bg" style="margin-bottom: 60px; margin-top: 60px;">
    <div class="row">
        <div class="col-xl-12">
            <div class="card bg-secondary shadow">
                <div class="card-header bg-white border-0">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h1 class="card-title">Articles</h1>


                        </div>
                    </div>
                </div>
                <div class="card-body " style="justify-content: center;">
                    <div infiniteScroll [infiniteScrollDistance]="2" [infiniteScrollThrottle]="150"
                        (scrolled)="onScroll()">
                        <div class="row pt-5">
                            <div class="col-md-4 p-2" *ngFor="let x of postShowed">
                                <div class="card shadow">
                                    <div class="card-body">
                                        <h3 class="card-title " style="    font-weight: bold; ">{{x.title}}</h3>
                                        <h6 class="card-subtitle mb-2 text-muted">{{x.createdAt | date:'medium' }}</h6>
                                        <!-- <p class="card-text" [innerHTML]="x.content"></p> -->
                                        <a [routerLink]="['/Post', x._id]" class="card-link">ouvrir</a>
                                        
                                    </div>
                                </div>

                            </div>
                        </div>

                    </div>
                    <div class="row pb-5">
                        <div class="col-md-12 p-5">
                            <ngx-spinner bdOpacity=0.9 bdColor="" size="default" color="#F1C40F" type="ball-pulse-sync"
                                [fullScreen]="false">
                            </ngx-spinner>
                        </div>
                    </div>


                </div>
                <div class="card-footer text-muted" style="text-align: center;">
                    <img class="img-responsive" width="80px" src="../../../assets/img/brand/Logo_Black.png">
                    <button mat-fab color="primary" class="ind" *ngIf="isShow" (click)="gotoTop()">
                        <mat-icon>north</mat-icon>
                      </button>
                </div>
            </div>
        </div>
    </div>
</div>
<app-userfooter></app-userfooter>